Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#2 memory leak

ASSP V2
closed
None
2014-06-24
2014-06-15
Pascal Nobus
No

I had a memory leak, resulting in about 1 GB extra memory, and 100% CPU

Jun-14-14 18:04:40 Info: synchronizing all BerkeleyDB hashes to disk
Jun-14-14 18:04:40 Info: compacting all BerkeleyDB hashes on disk
Jun-14-14 18:04:48 185.24.144.94 noreply@info-ebods.be to: xxx recipient delayed: xxx
Jun-14-14 18:04:55 Info: Loop in Worker_2 was not active for 181 seconds
Jun-14-14 18:04:55 Info: Worker_2 : last sigoff in main, sub main::SMTPTraffic, 11, main::sigoffTry, 1, , , at 14-14-5 18:154 1402761714.419 - 11
Jun-14-14 18:04:55 Info: Worker_2 : last sigon in main, sub main::SMTPTraffic, 13, main::sigonTry, 1, , , at 14-14-5 18:154 1402761714.41906 - 13
Jun-14-14 18:04:55 Info: Worker_2 : last action was : IPinHeloOK
Jun-14-14 18:04:55 Warning: try to terminate inactive/stucking Worker_2

3 minutes before this I can only see this in the logs:
Jun-14-14 18:01:50 [Trap] 89.123.50.71 dkhlhmmxijaou@eftelist.nl penalty trap address: xxx
Jun-14-14 18:01:50 89.123.50.71 dkhlhmmxijaou@eftelist.nl Message-Score: added 260 (stValencePB) for penalty trap address: xxx, total score for this message is now 260
Jun-14-14 18:01:50 [InvalidAddress] 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be invalid address rejected: xxx
Jun-14-14 18:01:50 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 10
Jun-14-14 18:01:50 [InvalidAddress] 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be invalid address rejected: xxx
Jun-14-14 18:01:50 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 20
Jun-14-14 18:01:50 [InvalidAddress] 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be invalid address rejected: xxx
Jun-14-14 18:01:50 89.123.50.71 meuiaypnk@bouwbedrijfcenl.be Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 30
Jun-14-14 18:01:51 [InvalidAddress] 89.123.50.71 ausotf@takanomi.com invalid address rejected: xx
Jun-14-14 18:01:51 89.123.50.71 ausotf@takanomi.com Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 10
Jun-14-14 18:01:51 [InvalidAddress] 89.123.50.71 ausotf@takanomi.com invalid address rejected: xxx
Jun-14-14 18:01:51 89.123.50.71 ausotf@takanomi.com Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 20
Jun-14-14 18:01:52 [InvalidAddress] 89.123.50.71 ausotf@takanomi.com invalid address rejected: xxx
Jun-14-14 18:01:52 89.123.50.71 ausotf@takanomi.com Message-Score: added 10 (irValencePB) for invalid address xxx, total score for this message is now 30
Jun-14-14 18:01:52 [denyExtreme] 113.160.147.132 dihnxjk@wonders-bergen.nl connection from 113.160.147.132 denied by PenaltyBox Extreme '113.160.147.132'
Jun-14-14 18:01:53 109.172.53.192 photyucdnddjd@salonscoosemans.be to: not2840@ers.be recipient delayed: xxx
Jun-14-14 18:01:53 109.172.53.192 photyucdnddjd@salonscoosemans.be to: not2840@ers.be recipient delayed: xxx
Jun-14-14 18:01:53 109.172.53.192 photyucdnddjd@salonscoosemans.be to: not2840@ers.be recipient delayed: xxx
Jun-14-14 18:01:57 [denyExtreme] 188.52.43.236 enhancesp5@surewest.com connection from 188.52.43.236 denied by PenaltyBox Extreme '188.52.43.236'

Discussion

  • Pascal Nobus
    Pascal Nobus
    2014-06-15

    Extra info: when restarting assp, I got this in the logs:

    Jun-15-14 13:24:15 Initializing shutdown sequence
    Jun-15-14 13:24:15 Info: removing all SMTP and Proxy listeners
    Jun-15-14 13:24:15 Error: Worker_2: TERMINATED - possibly by MainThread on detect stuck

     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-16

    under investigation - meanwhile disable the IPinHelo check

     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-16

    • status: open --> accepted
     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-16

    • status: accepted --> pending
     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-16

    try 2.4.2 build 14167 - this should fix the problem
    http://assp.cvs.sourceforge.net/viewvc/checkout/assp/assp2/assp.pl.gz

     
  • Pascal Nobus
    Pascal Nobus
    2014-06-16

    14167 is running.
    I'll let you know if it happens again.

     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-16

    Please report in any case (success or not) - this is a Ticket - not a forum Post

     
  • Thomas Eckardt
    Thomas Eckardt
    2014-06-24

    • status: pending --> closed